Arduino

Reference Language | Libraries | Comparison | Changes

String

## toCharArray()

#### Description

Copies the string's characters to the supplied buffer.

#### Syntax

string.toCharArray(buf, len)

#### Parameters

string: a variable of type String

buf: the buffer to copy the characters into (char [])

len: the size of the buffer (unsigned int)

#### Returns

None

#### Example

#### See also

- getBytes()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes